--- /dev/null
+Mon Dec 4 00:24:19 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm: Version 7.28 was released.
+ * tm/mh-e: Version 7.40 was released.
+ * tm/gnus: Version 7.20 was released.
+
+ * tm-view.el: setting for external method ``tm-html''.
+
+ * tm-html.el: setting for "extract" mode.
+
+ * README.eng: rewrote for tm 7.*.
+
+ * Makefile: tm/richtext.el and tm/tinyrich.el were moved to tl
+ package.
+
+ * mk-tm: richtext.el and tinyrich.el were moved to tl package.
+
+Sun Dec 3 14:09:18 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-vm.el: modified to use tm-mail.
+
+ * tm-rmail.el:
+ Setting for `mime-editor/message-inserter-alist' using tm-mail.el.
+
+ * tm-mail.el: New module: for mail-mode.
+
+Fri Dec 1 17:11:01 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-ew-e.el: fixed problem of exceptional case of encoding.
+
+Wed Nov 29 21:51:05 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * mime-setup.el: According to Steven L. Baur <steve@miranova.com>,
+ (setq mail-signature nil) when `mime-setup-use-signature' is t.
+ (cf. [tm-eng:176])
+
+ * tm-vm.el:
+ (1) fixed problem in function `tm-vm/preview-current-message'.
+ (2) New function `tm-vm/visit-folder-function'. It is set to
+ `vm-visit-folder-hook' instead of `tm-vm/preview-current-message'
+ directly. It is bug fix for getting new mail when visit to a
+ folder.
+
+ * tm-vm.el:
+ Shuhei KOBAYASHI <shuhei@cmpt01.phys.tohoku.ac.jp>'s patch was
+ applied. (cf. [tm-ja:1164])
+
+Sat Nov 25 02:14:25 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-edit.el:
+ Function `mime-editor/enclose-region' was fixed not to insert
+ "text/plain" tag when end of enclosure is end of buffer.
#
-# $Id: Makefile,v 7.3 1995/11/16 15:45:15 morioka Exp morioka $
+# $Id: Makefile,v 7.6 1995/12/04 00:44:28 morioka Exp morioka $
#
include config.tm
tm/config.tm tm/Makefile tm/mk-tm \
tm/tm-mule.el tm/tm-nemacs.el tm/tm-orig.el tm/tm-def.el \
tm/tm-eword.el tm/tm-ew-d.el tm/tm-ew-e.el \
- tm/tm-view.el tm/tm-parse.el tm/tm-play.el \
+ tm/tm-view.el tm/tm-parse.el tm/tm-play.el tm/tm-rich.el \
tm/tm-partial.el \
tm/tm-ftp.el tm/tm-latex.el tm/tm-html.el tm/tm-file.el \
tm/tm-tar.el \
- tm/tm-rich.el tm/richtext.el tm/tinyrich.el \
tm/tm-edit.el tm/signature.el \
tm/tm-setup.el tm/mime-setup.el \
tm/sc-setup.el \
tm/doc/Makefile tm/doc/*.ol tm/doc/*.tex \
tm/doc/*.texi
-TM_MUA_FILES = tm/tm-rmail.el tm/tm-vm.el \
+TM_MUA_FILES = tm/tm-rmail.el tm/tm-vm.el tm/tm-mail.el \
tm/gnus/Makefile tm/gnus/*-path tm/gnus/mk-tgnus \
tm/gnus/*.el tm/gnus/ChangeLog-* \
tm/mh-e/Makefile tm/mh-e/mk-tmh tm/mh-e/code-jp.ol \
FILES = $(TM_FILES) $(TM_MUA_FILES) $(MEL_FILES) $(TL_FILES)
-TARFILE = tm7.27.2.tar.gz
+TARFILE = tm7.28.tar.gz
-nemacs:
- cd ../tl; PWD=`pwd` make elc EMACS=$(NEMACS)
- cd ../mel; PWD=`pwd` make elc EMACS=$(NEMACS)
- $(NEMACS) -batch -l mk-tm -f compile-tm
- cd gnus; PWD=`pwd` make gnus3 EMACS=$(NEMACS)
- cd mh-e; PWD=`pwd` make elc EMACS=$(NEMACS)
+18:
+ cd ../tl; PWD=`pwd` make elc EMACS=$(EMACS18)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(EMACS18)
+ $(EMACS18) -batch -l mk-tm -f compile-tm
+ cd gnus; PWD=`pwd` make gnus3 EMACS=$(EMACS18)
+# If you use GNUS 4.*, please use following comment:
+# cd gnus; PWD=`pwd` make gnus4 EMACS=$(EMACS18)
+ cd mh-e; PWD=`pwd` make elc EMACS=$(EMACS18)
-install-nemacs: nemacs
+install-18: 18
cd ../tl; PWD=`pwd` \
- make install-18 EMACS=$(NEMACS) TLDIR18=$(TLDIR18)
+ make install-18 EMACS=$(EMACS18) TLDIR18=$(TLDIR18)
cd ../mel; PWD=`pwd` \
- make install-18 EMACS=$(NEMACS) MELDIR18=$(MELDIR18)
- $(NEMACS) -batch -l mk-tm -f install-tm $(TMDIR18)
+ make install-18 EMACS=$(EMACS18) MELDIR18=$(MELDIR18)
+ $(EMACS18) -batch -l mk-tm -f install-tm $(TMDIR18)
cd gnus; PWD=`pwd` \
- make install-18 EMACS=$(NEMACS) TMDIR18=$(TM_GNUS_DIR18)
+ make install-18 EMACS=$(EMACS18) TMDIR18=$(TM_GNUS_DIR18)
cd mh-e; PWD=`pwd` \
- make install-18 EMACS=$(NEMACS) TMDIR18=$(TMH_DIR18)
+ make install-18 EMACS=$(EMACS18) TMDIR18=$(TMH_DIR18)
-mule1:
- cd ../tl; PWD=`pwd` make elc EMACS=$(MULE1)
- cd ../mel; PWD=`pwd` make elc EMACS=$(MULE1)
- $(MULE1) -batch -l mk-tm -f compile-tm
- cd gnus; PWD=`pwd` make gnus3 EMACS=$(MULE1)
- cd mh-e; PWD=`pwd` make elc EMACS=$(MULE1)
+xemacs:
+ cd ../tl; PWD=`pwd` make elc EMACS=$(XEMACS)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(XEMACS)
+ $(XEMACS) -batch -l mk-tm -f compile-tm
+ cd gnus; PWD=`pwd` make gnus EMACS=$(XEMACS)
+# If you use Gnus 5.*, please use following comment:
+# cd gnus; PWD=`pwd` make gnus5 EMACS=$(XEMACS)
+# If you use September Gnus, please use following comment:
+# cd gnus; PWD=`pwd` make sgnus EMACS=$(XEMACS)
+ cd mh-e; PWD=`pwd` make elc EMACS=$(XEMACS)
-install-mule1: mule1
+install-xemacs: xemacs
cd ../tl; PWD=`pwd` \
- make install-18 EMACS=$(MULE1) TLDIR18=$(TLDIR18)
+ make install-19 EMACS=$(XEMACS) TLDIR19=$(TLDIR19)
cd ../mel; PWD=`pwd` \
- make install-18 EMACS=$(MULE1) MELDIR18=$(MELDIR18)
- $(MULE1) -batch -l mk-tm -f install-tm $(TMDIR18)
+ make install-19 EMACS=$(XEMACS) MELDIR19=$(MELDIR19)
+ $(XEMACS) -batch -l mk-tm -f install-tm $(TMDIR19)
cd gnus; PWD=`pwd` \
- make install-18 EMACS=$(MULE1) TMDIR18=$(TM_GNUS_DIR18)
+ make install-19 EMACS=$(XEMACS) TMDIR19=$(TM_GNUS_DIR19)
cd mh-e; PWD=`pwd` \
- make install-18 EMACS=$(MULE1) TMDIR18=$(TMH_DIR18)
+ make install-19 EMACS=$(XEMACS) TMDIR19=$(TMH_DIR19)
-orig19:
- cd ../tl; PWD=`pwd` make elc EMACS=$(ORIG19)
- cd ../mel; PWD=`pwd` make elc EMACS=$(ORIG19)
- $(ORIG19) -batch -l mk-tm -f compile-tm
- cd gnus; PWD=`pwd` make gnus4 EMACS=$(ORIG19)
-# If you use (ding) GNUS, please use following comment:
-# cd gnus; PWD=`pwd` make dgnus EMACS=$(ORIG19)
-# If you use Gnus v5, please use following comment:
-# cd gnus; PWD=`pwd` make gnus5 EMACS=$(ORIG19)
- cd mh-e; PWD=`pwd` make elc EMACS=$(ORIG19)
+19_29:
+ cd ../tl; PWD=`pwd` make elc EMACS=$(EMACS19_29)
+ cd ../mel; PWD=`pwd` make elc EMACS=$(EMACS19_29)
+ $(EMACS19_29) -batch -l mk-tm -f compile-tm
+ cd gnus; PWD=`pwd` make gnus EMACS=$(EMACS19_29)
+# If you use September Gnus, please use following comment:
+# cd gnus; PWD=`pwd` make sgnus EMACS=$(EMACS19_29)
+ cd mh-e; PWD=`pwd` make elc EMACS=$(EMACS19_29)
-install-orig19: orig19
+install-19_29: 19_29
cd ../tl; PWD=`pwd` \
- make install-19 EMACS=$(ORIG19) TLDIR19=$(TLDIR19)
+ make install-19 EMACS=$(EMACS19_29) TLDIR19=$(TLDIR19_29)
cd ../mel; PWD=`pwd` \
- make install-19 EMACS=$(ORIG19) MELDIR19=$(MELDIR19)
- $(ORIG19) -batch -l mk-tm -f install-tm $(TMDIR19)
+ make install-19 EMACS=$(EMACS19_29) MELDIR19=$(MELDIR19_29)
+ $(EMACS19_29) -batch -l mk-tm -f install-tm $(TMDIR19_29)
cd gnus; PWD=`pwd` \
- make install-19 EMACS=$(ORIG19) TMDIR19=$(TM_GNUS_DIR19)
+ make install-19_29 EMACS=$(EMACS19_29) \
+ TMDIR19_29=$(TM_GNUS_DIR19_29)
cd mh-e; PWD=`pwd` \
- make install-19 EMACS=$(ORIG19) TMDIR19=$(TMH_DIR19)
-
-
-mule2:
- cd ../tl; PWD=`pwd` make elc EMACS=$(MULE2)
- cd ../mel; PWD=`pwd` make elc EMACS=$(MULE2)
- $(MULE2) -batch -l mk-tm -f compile-tm
- cd gnus; PWD=`pwd` make gnus4 EMACS=$(MULE2)
-# If you use (ding) GNUS, please use following comment:
-# cd gnus; PWD=`pwd` make dgnus EMACS=$(MULE2)
-# If you use Gnus v5, please use following comment:
-# cd gnus; PWD=`pwd` make gnus5 EMACS=$(MULE2)
- cd mh-e; PWD=`pwd` make elc EMACS=$(MULE2)
-
-install-mule2: mule2
- cd ../tl; PWD=`pwd` \
- make install-19 EMACS=$(MULE2) TLDIR19=$(TLDIR19)
- cd ../mel; PWD=`pwd` \
- make install-19 EMACS=$(MULE2) MELDIR19=$(MELDIR19)
- $(MULE2) -batch -l mk-tm -f install-tm $(TMDIR19)
- cd gnus; PWD=`pwd` \
- make install-19 EMACS=$(MULE2) TMDIR19=$(TM_GNUS_DIR19)
- cd mh-e; PWD=`pwd` \
- make install-19 EMACS=$(MULE2) TMDIR19=$(TMH_DIR19)
+ make install-19 EMACS=$(EMACS19_29) TMDIR19=$(TMH_DIR19_29)
all: $(UTILS) $(DVI)
[README for tm (English Version)]
by MORIOKA Tomohiko <morioka@jaist.ac.jp>
-$Id: README.eng,v 7.1 1995/10/18 18:18:19 morioka Exp $
+$Id: README.eng,v 7.2 1995/12/03 23:25:59 morioka Exp $
1 What's tm?
- MIME style multilingual header
- MIME message viewer (mime/viewer-mode)
+ - MIME message composer (mime/editor-mode)
- MIME extenders for mh-e, GNUS, RMAIL and vm
(1) English edition
-- doc/tm_en.texi : tm Reference Manual (TeXinfo)
-- doc/tm-view_en.texi : tm-view Reference Manual (TeXinfo)
-- doc/tm-gnus_en.texi : tm-gnus Reference Manual (TeXinfo)
+- tm/doc/tm_en.texi : tm Reference Manual (TeXinfo)
+- tm/doc/tm-view_en.texi: tm-view Reference Manual (TeXinfo)
+- tm/doc/tm-gnus_en.texi: tm-gnus Reference Manual (TeXinfo)
(2) Japanese edition
-- doc/tm_ja.tex : tm Reference Manual (TeXinfo)
-- doc/tm-view_ja.texi : tm-view Reference Manual (TeXinfo)
-- doc/tm-gnus_ja.texi : tm-gnus Reference Manual (TeXinfo)
-- doc/signature-jp.ol : signature.el Reference Manual (Emacs Outline)
-- doc/signature-jp.tex : signature.el Reference Manual (LaTeX)
+- tm/doc/tm_ja.tex : tm Reference Manual (TeXinfo)
+- tm/doc/tm-view_ja.texi : tm-view Reference Manual (TeXinfo)
+- tm/doc/tm-gnus_ja.texi : tm-gnus Reference Manual (TeXinfo)
+- tm/doc/signature-jp.ol : signature.el Reference Manual (Emacs Outline)
+- tm/doc/signature-jp.tex: signature.el Reference Manual (LaTeX)
3 Modules
- tm-view : MIME viewer
- tm-parse.el : MIME message parser
- tm-play.el : MIME content player
- - tm-eword : MIME encoded-word encoder/decoder
- tm-ew-d.el : MIME encoded-word decoder
+ - preview filter for tm-view
+ - tm-rich : for text/enriched and text/richtext
+ - internal methods for tm-view
+ - tm-partial : automatic assembler for message/partial
+ - tm-ftp : for anonymous ftp
+ - tm-file : for file extraction
+ - tm-tar : for tar content
+ - tm-latex : for LaTeX
+ - tm-html : for text/html
+ - tm-edit : MIME composer (mime.el and tm-comp.el were merged)
- tm-ew-e.el : MIME encoded-word encoder
- tm-def : definition module for tm
- tm-nemacs.el : NEmacs depended part of tm
- tm-gnus : tm-MUA for GNUS
- tm-rmail : tm-MUA for RMAIL
- tm-vm : tm-MUA for vm
- - preview filter for tm-view
- - tm-rich : for text/enriched and text/richtext
- - internal methods for tm-view
- - tm-partial : automatic assembler for message/partial
- - tm-ftp : for anonymous ftp
- - tm-w3 : for text/html (using w3)
- - tm-tar : for tar content
- - tm-comp : extender for mime.el (big message automatic
- splitter, previewer using tm-view, uuencode supporter)
- - tm-setup: set up module for tm-MUAs
+ - tm-mail : tm-MUA library module for mail-mode
- mime-setup: set up module for MIME
-
- +---------+-----------------+------------------+
- | tm-MUAs | preview filters | internal methods |
- +---------+-----------------+------------------+
- | tm-view |
- +-----------------------+-------+-----+--------+
- | tm-word | | | |
- +-----------------------+ | | |
- | tm-def | | |
- +-------------------------------+ MEL |external|
- | tl | | |
- +-------------------------------+ |methods |
- | emu | | |
- +-------------------------------+-----+ |
- | Emacs variants | |
- +-------------------------------------+--------+
+ - tm-setup: set up only reading
4 Install
4.2 External methods
- Please edit external methods in `methods/' directory for your
+ Please edit external methods in `tm/methods/' directory for your
environment.
+ tm/methods/tm-au for audio
+ tm/methods/tm-file for file extraction
+ tm/methods/tm-image for image
+ tm/methods/tm-mpeg for MPEG
+ tm/methods/tm-plain for plain text
+ tm/methods/tm-html for HTML
+ tm/methods/tmdecode decoder
+
4.3 make
4.5 Emacs Lisp modules
- Run `make install-nemacs', if you use NEmacs.
+ Run `make install-18', if you use Emacs 18 (NEmacs, Mule 1.*).
- Run `make install-mule1', if you use Mule 1.* (based on Emacs 18.*).
+ Run `make install-xemacs', if you use Emacs .. 19.28 (Mule 2.* based
+on), or XEmacs.
- Run `make install-orig19', if you use Original Emacs 19.* or XEmacs.
-
- Run `make install-mule2', if you use Mule 2.* (based on Emacs 19.*).
+ Run `make install-19_29', if you use Emacs 19.29 or later (Mule 2.*
+based on).
Or copy *.el to your emacs lisp directory.
5.1 tm-gnus
-(1) Please edit tm/gnus/Makefile.
+ If you use optional GNUS or Gnus, you must edit and make manually.
- If you use GNUS 3.*, please edit tm/gnus/g3-path.
+(1) Please edit tm/gnus/Makefile.
- If you use GNUS 4.*, please edit tm/gnus/g4-path.
+ If you use Emacs 18.* and GNUS 3.*, please edit tm/gnus/g3-path.
- If you use (ding) Gnus, please edit tm/gnus/d-path.
+ If you use Emacs 18.* and GNUS 4.*, please edit tm/gnus/g4-path.
If you use Gnus 5.0.*, please edit tm/gnus/g5-path.
Run `make gnus4', if you use GNUS 4.*.
- Run `make dgnus', if you use (ding) GNUS.
-
Run `make gnus5', if you use Gnus 5.0.*.
Run `make sgnus', if you use September Gnus.
Run `make install-18', if you use Emacs 18.*.
- Run `make install-19', if you use Emacs 19.*.
+ Run `make install-19', if you use Emacs .. 19.28 or XEmacs.
+ Run `make install-19_29', if you use Emacs 19.29 or later.
-5.1.1 Gnus 5.0.6
- If you want to use automatic MIME preview support, please apply a
-patch to Gnus 5.*. This patch is called `with September patch'. It
-provides September Gnus like article buffer feature.
+5.1.1 automatic MIME preview support
- It is available from ftp.jaist.ac.jp:/pub/GNU/elisp/dgnus/. Current
-version is gnus-5.0.6-September.diff.
+ tm-gnus provides automatic MIME preview feature for GNUS 3.15 or
+later, Gnus 5.0.*, Gnus 5.1, and September Gnus.
+ If you don't want to use automatic MIME preview feature, please
+insert following to ~/.emacs.
-5.1.2 September Gnus
+ (setq tm-gnus/automatic-mime-preview nil)
- For current September Gnus, automatic MIME preview feature is
-available without any patches.
+ In addition, September Gnus has automatic MIME preview supporting
+feature. Of course, tm-gnus provide this feature for other GNUS and
+Gnus, but it is unnatural.
+ When automatic MIME preview mode, GNUS and Gnus do MIME processing
+if a message has a Mime-Version field. If it does not have, GNUS and
+Gnus does not do MIME processing, in default.
-5.2 tm-mh-e
+ Gnus 5.0.*, 5.1 and September Gnus have a variable
+`gnus-strict-mime'. If you insert
-(1) Please edit mh-e/Makefile
+ (setq gnus-strict-mime nil)
-(2) make
+Gnus do MIME processing even if a message does not have Mime-Version
+field.
- Run `make nemacs', if you use NEmacs.
+ In September Gnus, if `gnus-strict-mime' is not nil, variable
+`gnus-decode-encoded-word-method' is called. tm-gnus uses it to decode
+RFC 1522 encoded-word. So it is not necessary to reset
+`gnus-strict-mime'.
- Run `make mule1', if you use Mule 1.* (based on Emacs 18.*).
- Run `make orig19', if you use Original Emacs 19.* or XEmacs.
+5.2 tm-mh-e
+
+ If you use optional mh-e, you must edit and make manually.
+
+(1) Please edit mh-e/Makefile
+
+(2) make
- Run `make mule2', if you use Mule 2.* (based on Emacs 19.*).
+ Run `make elc'.
(3) install
6 .emacs
-Please insert (load "mime-setup") or (load "tm-setup") in .emacs. If
-you use mime-setup, you should prepare mime.el.
-
-mime.el is included in emacs-mime-tools.shar written by UMEDA
-Masanobu. It is available by anonymous ftp:
-
- ftp.kyutech.ac.jp /pub/MultiMedia/mime/
- ftp.jaist.ac.jp /pub/GNU/elisp/mime/
-
-or a lot of anonymous ftp sites. Please try archie.
+Please insert (load "mime-setup") in ~/.emacs.
6.1 VM
-If you want use vm, please insert following in .vm or .emacs:
-
- (load "tm-vm")
-
-6.2 XEmacs
+If you want to use vm, please insert (load "tm-vm") in ~/.vm.
-In XEmacs, current mime.el can not work, so you should use tm-setup.el
-and another MIME composer, such as mime-compose.el. Following is a
-example:
-
- (load "tm-setup")
- ;; (require 'mh-e) ; if you use mh-e, please use it.
- (load "mime-compose")
-
-6.3 setting sample for hilit19
+6.2 setting sample for hilit19
======================================================================
(cond (window-system
))
======================================================================
+6.3 setting sample for browse
+
+ If you have browse-url.el (included in Gnus 5.*, September Gnus and
+Emacs 19.30 or later), you can use URL button in
+mime/viewer-mode. Following is setting sample:
+
+======================================================================
+(setq browse-url-browser-function
+ (if (eq window-system 'x)
+ 'browse-url-netscape
+ 'browse-url-w3))
+(autoload browse-url-browser-function "browse-url"
+ "Ask a WWW browser to show a URL." t)
+======================================================================
+
7 How to use mime/viewer-mode
In tm-MUAs, you can use mime/viewer-mode if you press `v' key (in VM,
-`Z' key) in Summary mode. mime/viewer-mode has following functions:
+`Z' key) in Summary mode. Or automatic MIME previewed buffer's
+major-mode is mime/viewer-mode. mime/viewer-mode has following
+functions:
q quit from mime/viewer-mode
u move to upper content
e extract as file current content
C-c C-p print current content
button-2 move to point under the mouse cursor and play
- current content
+ current content or browse URL
+
8 Bug report
fj.editor.emacs (Japanese or English)
fj.editor.mule (Japanese or English; if you use Mule)
gnu.emacs.help (English)
+
+ fj.news.reader.gnus (Japanese or English; about GNUS and Gnus)
+ gnu.emacs.gnus (English; about GNUS and Gnus)
+
gnu.emacs.vm.info (English; about tm-vm)
or send to tm ML:
- tm@chamonix.jaist.ac.jp (Japanese or English)
- tm-eng@chamonix.jaist.ac.jp (English)
+ bug-tm-en@chamonix.jaist.ac.jp (English)
+ bug-tm-ja@chamonix.jaist.ac.jp (Japanese)
Via tm ML, You can report bugs of tm, obtain the latest release of tm
package, and discuss the future enhancements to tm. To join tm ML,
#
# Please specify emacs executables:
-# NEMACS = for NEMACS (or NEpoch)
-# MULE1 = for Mule 1.* (based on Emacs 18.*)
-# ORIG19 = for Emacs 19.* (FSF original or XEmacs)
-# MULE2 = for MULE 2.* (based on Emacs 19.*)
+# EMACS18 = for EMACS 18.* (NEmacs, NEpoch and Mule 1.*)
+# XEMACS = for Emacs .. 19.28 (Mule 2.0 .. 2.3) or XEmacs
+# EMACS19_29 = for Emacs 19.29 ..
-NEMACS = nemacs
-MULE1 = mule1
-ORIG19 = emacs19
-MULE2 = mule2
+EMACS18 = nemacs
+XEMACS = xemacs
+#XEMACS = mule
+#XEMACS = emacs-19_28
-# Please specify location to install for Emacs 18.
+#EMACS19_29 = emacs-19_29
+#EMACS19_29 = emacs-19_30
+#EMACS19_29 = mule-19_29
+EMACS19_29 = mule-19_30
+
+
+# PREFIX = /usr/local
+PREFIX = $(HOME)
-# PREFIX_18 = /usr/local/lib/emacs/local.lisp
-PREFIX_18 = $(HOME)/lib/emacs18/lisp
+EMACS_PREFIX = emacs
+# EMACS_PREFIX = mule
+# EMACS_PREFIX = xemacs
-# Please specify location to install for Emacs 19.
+DATADIR18 = $(PREFIX)/lib
+DATADIR19 = $(PREFIX)/lib
+DATADIR19_29 = $(PREFIX)/share
+
+
+# Please specify location to install for Emacs 18.
+LOCAL_LISP_DIR18 = $(DATADIR18)/$(EMACS_PREFIX)/local.lisp
-# PREFIX_19 = /usr/local/lib/emacs/site-lisp
+# Please specify location to install for Emacs .. 19.28 and XEmacs
+LOCAL_LISP_DIR19 = $(DATADIR19)/$(EMACS_PREFIX)/site-lisp
-PREFIX_19 = $(HOME)/lib/emacs19/lisp
+# Please specify location to install for Emacs 19.29 ..
+LOCAL_LISP_DIR19_29 = $(DATADIR19_29)/$(EMACS_PREFIX)/site-lisp
# tl install directory for Emacs 18
-TLDIR18 = $(PREFIX_18)
+TLDIR18 = $(LOCAL_LISP_DIR18)
-# tl install directory for Emacs 19
-TLDIR19 = $(PREFIX_19)
+# tl install directory for Emacs .. 19.28 and XEmacs
+TLDIR19 = $(LOCAL_LISP_DIR19)
+
+# tl install directory for Emacs 19.29 ..
+TLDIR19_29 = $(LOCAL_LISP_DIR19_29)
# MEL install directory for Emacs 18
-MELDIR18 = $(PREFIX_18)/tm
+MELDIR18 = $(LOCAL_LISP_DIR18)/tm
+
+# MEL install directory for Emacs .. 19.28 and XEmacs
+MELDIR19 = $(LOCAL_LISP_DIR19)
-# MEL install directory for Emacs 19
-MELDIR19 = $(PREFIX_19)
+# MEL install directory for Emacs 19.29
+MELDIR19_29 = $(LOCAL_LISP_DIR19_29)
# tm install directory for Emacs 18
-TMDIR18 = $(PREFIX_18)/tm
+TMDIR18 = $(LOCAL_LISP_DIR18)/tm
+
+# tm install directory for Emacs .. 19.28 and XEmacs
+TMDIR19 = $(LOCAL_LISP_DIR19)
-# tm install directory for Emacs 19
-TMDIR19 = $(PREFIX_19)
+# tm install directory for Emacs 19.29 ..
+TMDIR19_29 = $(LOCAL_LISP_DIR19_29)
# tm-mh-e install directory for Emacs 18
TMH_DIR18 = $(TMDIR18)
-# tm-mh-e install directory for Emacs 19
+# tm-mh-e install directory for Emacs .. 19.28 and XEmacs
TMH_DIR19 = $(TMDIR19)
+# tm-mh-e install directory for Emacs 19.29
+TMH_DIR19_29 = $(TMDIR19_29)
+
# tm-gnus install directory for Emacs 18
TM_GNUS_DIR18 = $(TMDIR18)
-# tm-gnus install directory for Emacs 19
+# tm-gnus install directory for Emacs .. 19.28 and XEmacs
TM_GNUS_DIR19 = $(TMDIR19)
+# tm-gnus install directory for Emacs 19.29 ..
+TM_GNUS_DIR19_29 = $(TMDIR19_29)
+
bindir = $(HOME)/bin
--- /dev/null
+Mon Dec 4 00:25:21 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm/gnus: Version 7.20 was released.
+
+ * tm-sgnus.el: quitting method was fixed.
+
+ * tm-gnus4.el: fixed problem of quitting method.
+
+ * tm-gnus4.el:
+ Function `tm-gnus/view-message' was fixed for automatic MIME preview
+ mode.
+
+Fri Dec 1 23:12:36 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-gnus4.el: (1) New variable `gnus-original-article-buffer'.
+ (2) New function `tm-gnus/article-reset-variable'.
+ (3) `(setq buffer-read-only nil)' was deleted in function
+ `tm-gnus/preview-article-if-you-need'.
+
+Fri Dec 1 19:23:51 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-gnus4.el:
+ applied OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch to fix
+ problem of quitting method.
#
-# $Id: Makefile,v 6.4 1995/09/24 20:23:39 morioka Exp morioka $
+# $Id: Makefile,v 7.0 1995/12/04 00:41:08 morioka Exp morioka $
#
# Please specify emacs executables:
# TMDIR18 = for Emacs 18.* (NEMACS, NEpoch or MULE 1)
# TMDIR19 = for Emacs 19.* (FSF original, XEmacs or MULE 2)
-# TMDIR18 = /usr/local/lib/emacs/local.lisp/tm
-# TMDIR19 = /usr/local/lib/mule/site-lisp
-TMDIR18 = $(HOME)/lib/emacs18/lisp
-TMDIR19 = $(HOME)/lib/emacs19/lisp
+# PREFIX = /usr/local
+PREFIX = $(HOME)
+
+EMACS_PREFIX = emacs
+# EMACS_PREFIX = mule
+
+DATADIR18 = $(PREFIX)/lib
+DATADIR19 = $(PREFIX)/lib
+DATADIR19_29 = $(PREFIX)/share
+
+TMDIR18 = $(DATADIR18)/$(EMACS_PREFIX)/local.lisp/tm
+TMDIR19 = $(DATADIR19)/$(EMACS_PREFIX)/site-lisp
+TMDIR19_29 = $(DATADIR19_29)/$(EMACS_PREFIX)/site-lisp
+
FILES = tm/gnus/*.el tm/doc/tm-gnus*.texi
-TARFILE = tm-gnus7.19.tar
+TARFILE = tm-gnus7.20.tar
+gnus:
+ $(EMACS) -batch -l mk-tgnus -f compile-tm-gnus
+
gnus3:
$(EMACS) -batch -l g3-path -l mk-tgnus -f compile-tm-gnus
gnus4:
$(EMACS) -batch -l g4-path -l mk-tgnus -f compile-tm-gnus
-dgnus:
- $(EMACS) -batch -l d-path -l mk-tgnus -f compile-tm-gnus
-
gnus5:
$(EMACS) -batch -l g5-path -l mk-tgnus -f compile-tm-gnus
install-19:
$(EMACS) -batch -l g4-path -l mk-tgnus -f install-tm-gnus $(TMDIR19)
+install-19_29:
+ $(EMACS) -batch -l g4-path -l mk-tgnus -f install-tm-gnus $(TMDIR19_29)
+
clean:
-rm *.elc
;;; -*-Emacs-Lisp-*-
;;;
-;;; loadpath for GNUS 3
+;;; loadpath for GNUS 3.*
;;;
-(setq load-path
- (append
- (mapcar (function
- (lambda (path)
- (expand-file-name path (getenv "PWD"))
- ))
- '("." ".." "../../tl/" "../../mel/"))
- ;;
- ;; additional path
- ;;
- ;; please edit this
- ;;
- ;;'("/usr/local/lib/emacs/local.lisp/gnus-3.14.4")
- ;;
- load-path))
+
+(require 'tl-misc)
+
+;; please edit
+(add-path "gnus-3.14.4")
;;; -*-Emacs-Lisp-*-
;;;
-;;; loadpath for GNUS 4
+;;; loadpath for GNUS 4.*
;;;
-(setq load-path
- (append
- (mapcar (function
- (lambda (path)
- (expand-file-name path (getenv "PWD"))
- ))
- '("." ".." "../../tl/" "../../mel/"))
- ;;
- ;; additional path
- ;;
- ;; please edit this
- ;;
- ;;'("/usr/local/lib/emacs/local.lisp/gnus-4.1/lisp")
- ;;
- load-path))
+
+(require 'tl-misc)
+
+;;;
+;;; loadpath for GNUS 4.*
+;;;
+
+;; please edit
+(add-path "gnus-4.1/lisp")
;;; -*-Emacs-Lisp-*-
-(setq load-path
- (append
- (mapcar (function
- (lambda (path)
- (expand-file-name path (getenv "PWD"))
- ))
- '("." ".." "../../tl/" "../../mel/"))
- ;;
- ;; (ding) GNUS path
- ;;
- ;; please edit this
- ;;
- '("/usr/local/lib/emacs/site-lisp/gnus-5.0.12/lisp")
- ;;
- load-path))
+(require 'tl-misc)
+
+;;;
+;;; loadpath for Gnus 5.*
+;;;
+
+;; please edit
+(add-path "gnus-5.0.12/lisp")
;;; $Id: mk-tgnus,v 1.1 1995/11/18 08:07:24 morioka Exp morioka $
;;;
+(setq load-path
+ (append
+ (mapcar (function
+ (lambda (path)
+ (expand-file-name path (getenv "PWD"))
+ ))
+ '("." ".." "../../tl/" "../../mel/"))
+ load-path))
+
(require 'emu)
(defun compile-tm-gnus ()
(require 'gnus)
- (require 'tm-gnus)
(require 'tm-view)
(require 'tm-partial)
(require 'tm-edit)
(princ (format "%s\n" gnus-version))
(cond ((boundp 'gnus-original-article-buffer)
+ (require 'tm-gnus)
(byte-compile-file "tm-sgnus.el")
)
((string-match "Gnus v5\\|September Gnus" gnus-version)
+ (require 'tm-gnus)
(byte-compile-file "tm-gnus4.el")
(byte-compile-file "tm-gd5.el")
)
((string-match "GNUS 4" gnus-version)
+ (require 'tm-gnus)
(byte-compile-file "tm-gnus4.el")
)
((string-match "GNUS 3" gnus-version)
+ (require 'tm-gnus)
(byte-compile-file "tm-gnus3.el")
))
- (byte-compile-file "tm-gnus.el")
+ ;;(byte-compile-file "tm-gnus.el")
)
(defconst el-file-mode (+ (* 64 6)(* 8 4) 4))
(if (not (file-exists-p path))
(make-directory path t)
)
- (if (< (string-to-int emacs-version) 19)
- (progn
- (install-el-files path
- "tm-gnus.el" "tm-gd3.el"
- "tm-gnus3.el" "tm-gnus4.el")
- (install-elc-files path
- "tm-gnus.elc"
- "tm-gnus3.elc" "tm-gnus4.elc")
- )
- (progn
- (install-el-files path
- "tm-gnus.el" "tm-sgnus.el"
- "tm-gd5.el" "tm-gd3.el"
- "tm-gnus4.el")
- (install-elc-files path
- "tm-gnus.elc" "tm-sgnus.elc"
- "tm-gd5.elc"
- "tm-gnus4.elc")
- ))))
+ (cond ((< (string-to-int emacs-version) 19)
+ (install-el-files path
+ "tm-gnus.el"
+ "tm-gnus3.el" "tm-gnus4.el"
+ "tm-gd3.el")
+ (install-elc-files path
+ ;;"tm-gnus.elc"
+ "tm-gnus3.elc" "tm-gnus4.elc")
+ )
+ ((<= emacs-minor-version 29)
+ (install-el-files path
+ "tm-gnus.el"
+ "tm-sgnus.el" "tm-gnus4.el"
+ "tm-gd5.el" "tm-gd3.el")
+ (install-elc-files path
+ ;;"tm-gnus.elc"
+ "tm-sgnus.elc" "tm-gnus4.elc"
+ "tm-gd5.elc")
+ )
+ (t
+ (install-el-files path
+ "tm-gnus.el"
+ "tm-sgnus.el" "tm-gnus4.el"
+ "tm-gd5.el")
+ (install-elc-files path
+ ;;"tm-gnus.elc"
+ "tm-sgnus.elc" "tm-gnus4.elc"
+ "tm-gd5.elc")
+ ))))
;;; -*-Emacs-Lisp-*-
-(setq load-path
- (append
- (mapcar (function
- (lambda (path)
- (expand-file-name path (getenv "PWD"))
- ))
- '("." ".." "../../tl/" "../../mel/"))
- ;;
- ;; (ding) GNUS path
- ;;
- ;; please edit this
- ;;
- '("/usr/local/lib/emacs/site-lisp/sgnus-0.14/lisp")
- ;;
- load-path))
+(require 'tl-misc)
+
+;;;
+;;; loadpath for September Gnus
+;;;
+
+;; please edit
+(add-path "sgnus-0.17/lisp")
;;; Copyright (C) 1995 MORIOKA Tomohiko
;;;
;;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
+;;; modified by OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>
;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Created: 1993/11/20 (merged tm-gnus5.el)
-;;; Version: $Revision: 7.4 $
+;;; Version: $Revision: 7.9 $
;;; Keywords: news, MIME, multimedia, multilingual, encoded-word
;;;
;;; This file is part of tm (Tools for MIME).
;;;
(defconst tm-gnus/RCS-ID
- "$Id: tm-gnus4.el,v 7.4 1995/11/21 03:02:27 morioka Exp $")
+ "$Id: tm-gnus4.el,v 7.9 1995/12/03 17:30:57 morioka Exp $")
(defconst tm-gnus/version
- (concat (get-version-string tm-gnus/RCS-ID) " for 4 .. 5.1"))
+ (concat (get-version-string tm-gnus/RCS-ID) " for 3.15 .. 5.1"))
;;; @ variable
"*If non-nil, show MIME processed article.
This variable is set to `gnus-show-mime'.")
+(defvar tm-gnus/original-article-buffer " *Original Article*")
+(defvar gnus-original-article-buffer nil)
+
;;; @ for tm-view
;;;
(gnus-summary-select-article t t)
)
(pop-to-buffer gnus-article-buffer t)
- (mime/viewer-mode)
- )
+ (let ((str (buffer-string))
+ (obuf (get-buffer tm-gnus/original-article-buffer))
+ (pbuf (current-buffer))
+ )
+ (if obuf
+ (progn
+ (set-buffer obuf)
+ (setq buffer-read-only nil)
+ (erase-buffer)
+ )
+ (setq obuf (get-buffer-create tm-gnus/original-article-buffer))
+ (set-buffer obuf)
+ )
+ (insert str)
+ (gnus-article-mode)
+ (set-buffer pbuf)
+ (make-local-variable 'tm:mother-button-dispatcher)
+ (setq tm:mother-button-dispatcher
+ (function gnus-article-push-button))
+ (mime/viewer-mode
+ nil nil nil tm-gnus/original-article-buffer gnus-article-buffer)
+ (run-hooks 'tm-gnus/article-prepare-hook)
+ ))
(defun tm-gnus/summary-scroll-down ()
"Scroll down one line current article."
)
(defun mime-viewer/quitting-method-for-gnus4 ()
- (mime-viewer/kill-buffer)
+ (if (not gnus-show-mime)
+ (mime-viewer/kill-buffer)
+ )
(delete-other-windows)
(gnus-article-show-summary)
- (if (null gnus-have-all-headers)
+ (if (or (not gnus-show-mime)
+ (null gnus-have-all-headers))
(gnus-summary-select-article nil t)
))
(define-key gnus-summary-mode-map
"\e\r" (function tm-gnus/summary-scroll-down))
+(defun tm-gnus/article-reset-variable ()
+ (setq gnus-original-article-buffer gnus-article-buffer)
+ (setq tm-gnus/automatic-mime-preview nil)
+ (gnus-article-mode)
+ (setq buffer-read-only nil)
+ )
+
+(add-hook 'gnus-article-prepare-hook 'tm-gnus/article-reset-variable)
+
(defun tm-gnus/decode-encoded-word-if-you-need ()
(if (not gnus-have-all-headers)
(progn
(run-hooks 'tm-gnus/article-prepare-hook)
)))
-(defvar tm-gnus/original-article-buffer " *Original Article*")
-
(defun tm-gnus/preview-article-if-you-need ()
(if (not gnus-have-all-headers)
(let ((str (buffer-string))
(function gnus-article-push-button))
(mime/viewer-mode
nil nil nil tm-gnus/original-article-buffer gnus-article-buffer)
- (setq buffer-read-only nil)
(gnus-article-show-summary)
(run-hooks 'tm-gnus/article-prepare-hook)
)))
;;;
(provide 'tm-gnus4)
+
;;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Created: 1995/09/24
-;;; Version: $Revision: 7.19 $
+;;; Version: $Revision: 7.20 $
;;; Keywords: news, MIME, multimedia, multilingual, encoded-word
;;;
;;; This file is part of tm (Tools for MIME).
;;;
(defconst tm-gnus/RCS-ID
- "$Id: tm-sgnus.el,v 7.19 1995/11/23 10:34:37 morioka Exp $")
+ "$Id: tm-sgnus.el,v 7.20 1995/12/04 00:25:21 morioka Exp $")
(defconst tm-gnus/version
(concat (get-version-string tm-gnus/RCS-ID) " for September"))
;;;
(defun mime-viewer/quitting-method-for-sgnus ()
- (mime-viewer/kill-buffer)
+ (if (not gnus-show-mime)
+ (mime-viewer/kill-buffer))
(delete-other-windows)
(gnus-article-show-summary)
- (gnus-summary-display-article (gnus-summary-article-number))
- )
+ (if (or (not gnus-show-mime)
+ (null gnus-have-all-headers))
+ (gnus-summary-select-article nil t)
+ ))
(call-after-loaded
'tm-view
--- /dev/null
+#!/bin/sh
+if [ "$TM_TMP_DIR"="" ]; then
+ TM_TMP_DIR=/tmp
+ export TM_TMP_DIR
+fi
+
+if [ "$TM_WWW_BROWSER"="" ]; then
+ TM_WWW_BROWSER=netscape
+ export TM_WWW_BROWSER
+fi
+
+if [ "$5" = "" ]; then
+ filename="$TM_TMP_DIR/mime$$.html"
+else
+ filename="$TM_TMP_DIR/$5"
+fi
+
+echo "$2; $3 -> $filename"
+
+tmdecode $3 $1 $filename
+
+case "$4" in
+"play")
+ $TM_WWW_BROWSER $filename
+ /bin/rm $filename
+ ;;
+"extract")
+ echo "extract to $filename"
+ ;;
+esac
--- /dev/null
+Mon Dec 4 09:29:41 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm/mh-e: Version 7.40 was released.
+
+ * tm-mh-e.el:
+ Function `tm-mh-e/forward' was modified to work with Emacs 18, but
+ it still does not...
+
+ * tm-mh-e.el:
+ Function `tm-mh-e/forward' was modified to fix position to insert
+ `(require 'tm-edit)'.
+
+Fri Dec 1 19:14:52 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e3.el: New function `mh-read-address'.
+
+Fri Dec 1 09:33:37 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e3.el: New function `mh-read-address'.
+
+ * tm-mh-e.el:
+ fixed problem in setting up function `tm-mh-e/yank-cur-msg'.
+
+Thu Nov 30 07:54:54 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch was applied.
+ (cf. [tm-ja:1184])
+
+Wed Nov 29 16:41:41 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch was applied:
+ (cf. [tm-ja:1178])
+ (0) New function `tm-mh-e/yank-cur-msg': for called from Gnus.
+ (1) function `tm-mh-e/prompt-for-message' was modified.
+ (2) function `tm-mh-e/insert-mail' was modified to use
+ `insert-file-contents' instead of `insert-file'.
+ (3) New function `tm-mh-e/insert-letter'.
+
+Wed Nov 29 16:32:06 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ fixed some problems by OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>.
+ (cf. [tm-ja:1172])
+
+ * tm-mh-e.el:
+ OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch was merged.
+ (cf. [tm-ja:1168])
+
+ * tm-mh-e.el:
+ According to Eric Ding <ericding@San-Jose.ate.slb.com>,
+ fixed mistake about tm-view change in tm 7.24.
+
+Sat Nov 25 02:16:08 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el: Function `tm-mh-e/forward' was fixed to use function
+ `mime-editor/insert-tag' and `mime-editor/enclose-region'.
--- /dev/null
+Mon Dec 4 09:29:41 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm/mh-e: Version 7.40 was released.
+
+ * tm-mh-e.el:
+ Function `tm-mh-e/forward' was modified to work with Emacs 18, but
+ it still does not...
+
+ * tm-mh-e.el:
+ Function `tm-mh-e/forward' was modified to fix position to insert
+ `(require 'tm-edit)'.
+
+Fri Dec 1 19:14:52 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e3.el: New function `mh-read-address'.
+
+Fri Dec 1 09:33:37 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e3.el: New function `mh-read-address'.
+
+ * tm-mh-e.el:
+ fixed problem in setting up function `tm-mh-e/yank-cur-msg'.
+
+Thu Nov 30 07:54:54 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch was applied.
+ (cf. [tm-ja:1184])
+
+Wed Nov 29 16:41:41 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ \e$B2,It\e(B \e$B<wCK\e(B <okabe@kudpc.kyoto-u.ac.jp> \e$B$5$s$N\e(B patch \e$B$rEv$F$?!#\e(B
+ (cf. [tm-ja:1178])
+ (0) Gnus \e$B$+$i8F$P$l$?;~$N$?$a$K!"4X?t\e(B tm-mh-e/yank-cur-msg \e$B$r@_$1\e(B
+ \e$B$?!#\e(B
+ (1) tm-mh-e/prompt-for-message \e$B$G!"Ev3:$N%U%)%k%@$N%P%C%U%!$,3+$$\e(B
+ \e$B$F$$$J$$>l9g!"=>Mh$O$=$N%U%)%k%@$N$b$C$H$bHV9f$N>.$5$$$b$N$,\e(B
+ default\e$B$H$7$?$,!"\e(Bpick \e$B$r8F$s$G\e(B cur \e$B$rM%@h$9$k$h$&$K$7$?!#\e(B
+ (2) tm-mh-e/insert-mail \e$B$G\e(B insert-file \e$B$G$O$J$/\e(B
+ insert-file-contents\e$B$r;H$&$h$&$K$7$?!#\e(B
+ (describe function \e$B$9$k$H\e(B insert-file \e$B$O;H$&$J$H=q$$$F$"$C$?$N\e(B
+ \e$B$G\e(B)
+ (3) tm-mh-e/insert-letter \e$B$H$$$&4X?t$rDI2C$7$?!#$3$l$O\e(B
+ mh-insert-letter \e$B$H8F$s$G$$$k$,!"Ld$$9g$o$;$K\e(B
+ tm-mh-e/prompt-for-message \e$B$r;H$&$N$G8-$$!#\e(B
+ (\e$B$7$+$7\e(B tm \e$B$KF~$C$F$$$kI,A3@-$O$J$$!#\e(Bmh-e \e$B$K\e(B contribute \e$B$9$Y$-\e(B
+ \e$B$+!)\e(B)
+
+Wed Nov 29 16:32:06 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el:
+ fixed some problems by OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>.
+ (cf. [tm-ja:1172])
+
+ * tm-mh-e.el:
+ OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>'s patch was merged.
+ (cf. [tm-ja:1168])
+
+ * tm-mh-e.el:
+ \e$B4X?t\e(B tm-mh-e/header-display \e$B$K$*$1$k6I=jJQ?t\e(B
+ `mime-viewer/ignored-field-regexp' \e$B$N=i4|CM$N@_Dj%_%9$r=$@5$7$?!#\e(B
+
+ * tm-mh-e.el:
+ Eric Ding <ericding@San-Jose.ate.slb.com> \e$B$5$s$N;XE&$K=>$C$F!"\e(Btm
+ 7.24 \e$B$G$NJQ99$X$NBP1~$7K:$l$r=$@5$7$?!#\e(B
+
+Sat Nov 25 02:16:08 1995 Morioka Tomohiko <morioka@jaist.ac.jp>
+
+ * tm-mh-e.el: Function `tm-mh-e/forward' was fixed to use function
+ `mime-editor/insert-tag' and `mime-editor/enclose-region'.
FILES = tm/mh-e/*.el tm/mh-e/Makefile tm/mh-e/mk-tmh tm/mh-e/*.ol
-TARFILE = tm-mh-e7.30.tar
+TARFILE = tm-mh-e7.40.tar
elc:
;;; modified by YAMAOKA Katsumi <yamaoka@ga.sony.co.jp>
;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Created: 1993/11/21 (obsolete mh-e-mime.el)
-;;; Version: $Revision: 7.30 $
+;;; Version: $Revision: 7.40 $
;;; Keywords: mail, MH, MIME, multimedia, encoded-word, multilingual
;;;
;;; This file is part of tm (Tools for MIME).
;;;
(defconst tm-mh-e/RCS-ID
- "$Id: tm-mh-e.el,v 7.30 1995/11/24 22:57:59 morioka Exp $")
+ "$Id: tm-mh-e.el,v 7.40 1995/12/03 10:02:17 morioka Exp $")
(defconst tm-mh-e/version (get-version-string tm-mh-e/RCS-ID))
(defvar tm-mh-e/decode-encoded-word t
"If non-nil, decode encoded-word when it is not MIME preview mode.")
-(defvar tm-mh-e/forwcomps "forwcomps")
-
+(defvar tm-mh-e/forwcomps "forwcomps"
+ "Name of file to be used as a skeleton for forwarding messages.
+Default is \"forwcomps\". If not a complete path name, the file
+is searched for first in the user's MH directory, then in the
+system MH lib directory.")
;;; @ functions
;;;
(defun tm-mh-e/header-display ()
(interactive)
(mh-invalidate-show-buffer)
- (let (mime-viewer/ignored-field-list
+ (let ((mime-viewer/ignored-field-regexp "^:$")
tm-mh-e/decode-encoded-word)
(mh-header-display)
))
(if (and (string= folder mh-sent-from-folder)
mh-sent-from-msg)
(int-to-string mh-sent-from-msg)
- (car files)
- )))
+ (save-excursion
+ (let (cur-msg)
+ (if (and
+ (= 0 (mh-exec-cmd-quiet nil "pick" folder "cur"))
+ (set-buffer mh-temp-buffer)
+ (setq cur-msg (buffer-string))
+ (string-match "^[0-9]+$" cur-msg))
+ (substring cur-msg 0 (match-end 0))
+ (car files)))))))
(completing-read prompt
(let ((i 0))
(mapcar (function
;;; by OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>
;;; 1995/11/14 (cf. [tm-ja:1099])
(defun tm-mh-e/forward (to cc &optional msg-or-seq)
- "Forward a message or message sequence as MIME multipart/digest.
+ "Forward a message or message sequence as MIME message/rfc822.
Defaults to displayed message. If optional prefix argument provided,
then prompt for the message sequence. See also documentation for
`\\[mh-send]' function."
(setq msg-or-seq (int-to-string msg-or-seq)))
(let* ((folder mh-current-folder)
(config (current-window-configuration))
- ;; use "draft" for compatibility with forw.
+ ;; uses "draft" for compatibility with forw.
;; forw always leaves file in "draft" since it doesn't have -draft
(draft-name (expand-file-name "draft" mh-user-path))
(draft (cond ((or (not (file-exists-p draft-name))
(set-buffer-modified-p nil)))
(t
(mh-read-draft "" draft-name nil)))))
- (let (orig-from orig-subject)
- (require 'tm-edit)
+ (require 'tm-edit)
+ (let ((msubtype "digest")
+ orig-from orig-subject multipart-flag
+ (tag-regexp
+ (concat "^"
+ (regexp-quote (mime-make-tag "message" "rfc822"))))
+ )
(goto-char (point-min))
(save-excursion
(save-restriction
- (re-search-forward "^-*\n")
- ;; modified by Katsumi Yamaoka <yamaoka@ga.sony.co.jp>
- ;; 1995/11/17 (cf.[tm-ja:1116])
- (and (< (point) (point-max))
- (not (re-search-forward "^[\t ]*\n" nil t))
- (goto-char (point-max))
- (insert "\n"))
- (insert "--<<digest>>-{\n")
- (mh-exec-cmd-output "pick" nil folder msg-or-seq)
- (narrow-to-region (point) (mark t))
- (while (re-search-forward "^\\([0-9]+\\)\n" nil t)
- (let ((forw-msg
- (buffer-substring (match-beginning 1) (match-end 1))))
- (replace-match "--[[message/rfc822]]\n" nil nil)
- (insert-file (mh-expand-file-name
- forw-msg (mh-expand-file-name folder)))
- (if (not (bolp)) (insert "\n"))
- (mime-editor/inserted-message-filter))
- (goto-char (mark t)))
- (insert-string "--}-<<digest>>")))
- (re-search-forward "^--\\[\\[message/rfc822\\]")
+ (goto-char (point-max))
+ (if (not (bolp)) (insert "\n"))
+ (let ((beg (point)))
+ (narrow-to-region beg beg)
+ (mh-exec-cmd-output "pick" nil folder msg-or-seq)
+ (if (> (count-lines (point) (point-max)) 1)
+ (setq multipart-flag t)
+ )
+ (while (re-search-forward "^\\([0-9]+\\)\n" nil t)
+ (let ((forw-msg
+ (buffer-substring (match-beginning 1) (match-end 1)))
+ (beg (match-beginning 0))
+ (end (match-end 0))
+ )
+ (save-restriction
+ (narrow-to-region beg end)
+ ;; modified for Emacs 18
+ (delete-region beg end)
+ (insert-file-contents
+ (mh-expand-file-name forw-msg
+ (mh-expand-file-name folder))
+ )
+ (save-excursion
+ (push-mark (point-max))
+ (mime-editor/inserted-message-filter))
+ (goto-char (point-max))
+ )
+ (save-excursion
+ (goto-char beg)
+ (mime-editor/insert-tag "message" "rfc822")
+ )))
+ (delete-region (point) (point-max))
+ (if multipart-flag
+ (mime-editor/enclose-region "digest" beg (point))
+ ))))
+ (re-search-forward tag-regexp)
(forward-line 1)
(save-restriction
(narrow-to-region (point) (point-max))
(mh-forwarded-letter-subject orig-from orig-subject)))
(mh-insert-fields "Subject:" forw-subject)
(goto-char (point-min))
- (re-search-forward "^--\\[\\[message/rfc822\\]")
+ (re-search-forward tag-regexp)
(forward-line -1)
(delete-other-windows)
(if (numberp msg-or-seq)
;;; end
(defun tm-mh-e/insert-message (&optional message)
- ;; always ignore message
+ ;; always ignores message
(let ((article-buffer
(if (not (and (stringp mh-sent-from-folder)
(numberp mh-sent-from-msg)
gnus-original-article-buffer)
((and (boundp 'gnus-article-buffer)
(get-buffer gnus-article-buffer)
- (bufferp mh-sent-from-msg)
+ (bufferp mh-sent-from-folder)
)
(save-excursion
(set-buffer gnus-article-buffer)
))
(defun tm-mh-e/insert-mail (&optional message)
- (setq message (tm-mh-e/query-message message))
- (insert-file (tm-mh-e::message/file-name message))
- (mime-editor/inserted-message-filter)
- )
+ (save-excursion
+ (save-restriction
+ (let ((message-file
+ (tm-mh-e::message/file-name (tm-mh-e/query-message message))))
+ (narrow-to-region (point) (point))
+ (insert-file-contents message-file)
+ (push-mark (point-max))
+ (mime-editor/inserted-message-filter)
+ ))))
(call-after-loaded
'tm-edit
'news-reply-mode (function tm-mh-e/insert-mail))
)))
+(defun tm-mh-e/insert-letter (verbatim)
+ "Interface to mh-insert-letter."
+ (interactive "P")
+ (let*
+ ((folder (mh-prompt-for-folder
+ "Message from"
+ (if (and (stringp mh-sent-from-folder)
+ (string-match "^\\+" mh-sent-from-folder))
+ mh-sent-from-folder "+inbox")
+ nil))
+ (number (tm-mh-e/prompt-for-message "Message number: " folder)))
+ (mh-insert-letter folder number verbatim)))
+
+(defun tm-mh-e/yank-cur-msg ()
+ "Interface to mh-yank-cur-msg."
+ (interactive)
+ (let ((mh-sent-from-folder mh-sent-from-folder)
+ (mh-sent-from-msg mh-sent-from-msg))
+ (if (not (stringp mh-sent-from-folder))
+ (cond ((and (boundp 'gnus-article-buffer)
+ (get-buffer gnus-article-buffer)
+ (bufferp mh-sent-from-folder)
+ ) ; might be called from GNUS
+ (if (boundp 'gnus-article-copy) ; might be sgnus
+ (save-excursion
+ (gnus-copy-article-buffer)
+ (setq mh-sent-from-folder gnus-article-copy)
+ (set-buffer mh-sent-from-folder)
+ (setq mh-show-buffer gnus-article-copy))
+ (save-excursion
+ (setq mh-sent-from-folder gnus-article-buffer)
+ (set-buffer gnus-article-buffer)
+ (setq mh-show-buffer (current-buffer)))))
+ (t
+ (error "There is no current message"))))
+ (mh-yank-cur-msg)))
+
(call-after-loaded
'mime-setup
(function
(lambda ()
(substitute-key-definition
'mh-forward 'tm-mh-e/forward mh-folder-mode-map)
+ (call-after-loaded
+ 'mh-comp
+ (function
+ (lambda ()
+ (substitute-key-definition
+ 'mh-yank-cur-msg 'tm-mh-e/yank-cur-msg mh-letter-mode-map)
+ )))
)))
;;;
-;;; $Id: tm-mh-e3.el,v 6.0 1995/10/31 14:24:41 morioka Exp $
+;;; $Id: tm-mh-e3.el,v 7.0 1995/12/01 19:14:52 morioka Exp $
;;;
;;; This is a part of tm-mh-e.el which is a module for old mh-e
;;; to emulate mh-e 4.*.
(fset 'mh-show-msg (symbol-function 'mh-show))
+;;; @ mh-comp definitions
+;;;
+
(provide 'mh-comp)
+(defun mh-read-address (prompt)
+ ;; Read a To: or Cc: address, prompting in the minibuffer with PROMPT.
+ ;; May someday do completion on aliases.
+ (read-string prompt))
+
+
+;;; @ end
+;;;
(provide 'tm-mh-e3)
;;;
;;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Version:
-;;; $Id: mime-setup.el,v 7.11 1995/11/23 10:01:09 morioka Exp $
+;;; $Id: mime-setup.el,v 7.12 1995/11/29 21:51:05 morioka Exp $
;;; Keywords: mail, news, MIME, multimedia, multilingual, encoded-word
;;;
;;; This file is part of tm (Tools for MIME).
key (function insert-signature))
))))
(setq gnus-signature-file nil)
+ (setq mail-signature nil)
))
;;; -*-Emacs-Lisp-*-
;;;
-;;; $Id: mk-tm,v 7.1 1995/11/16 15:44:45 morioka Exp morioka $
+;;; $Id: mk-tm,v 7.4 1995/12/03 15:46:37 morioka Exp morioka $
;;;
(setq load-path (append
(add-path "vm-5.95beta/")
(setq tm-modules
- (append
- (cons
- (cond ((boundp 'NEMACS)
- "tm-nemacs"
- )
- ((boundp 'MULE)
- "tm-mule"
- )
- (t
- "tm-orig"
- ))
- '("signature"
- "tm-def"
- "tm-ew-d" "tm-ew-e" "tm-eword"
- "tm-parse" "tm-view" "tm-play" "tm-partial"
- "tm-latex" "tm-html" "tm-tar" "tm-file"
- "tm-rmail" "tm-edit"
- "tm-setup" "mime-setup"
- ))
- (cons
- (if (or (< emacs-major-version 19)(< emacs-minor-version 29))
- "tinyrich"
- "richtext"
- )
- '("tm-rich")
- )
- ))
+ (cons
+ (cond ((boundp 'NEMACS)
+ "tm-nemacs"
+ )
+ ((boundp 'MULE)
+ "tm-mule"
+ )
+ (t
+ "tm-orig"
+ ))
+ '("signature"
+ "tm-def"
+ "tm-ew-d" "tm-parse" "tm-view" "tm-play" "tm-partial"
+ "tm-rich"
+ "tm-latex" "tm-html" "tm-tar" "tm-file"
+ "tm-ew-e"
+ "tm-edit"
+ "tm-rmail" "tm-mail"
+ "tm-setup" "mime-setup"
+ )))
(setq tm-uncompile-el-files '("sc-setup.el"))
(require 'tm-rich)
(require 'mel-u)
(require 'tm-edit)
- (mapcar (function byte-compile-file file) tm-el-files)
+ (mapcar (function
+ (lambda (module)
+ (let ((el-file (concat module ".el"))
+ (elc-file (concat module ".elc"))
+ )
+ (if (file-newer-than-file-p el-file elc-file)
+ (byte-compile-file el-file)
+ )
+ )))
+ tm-modules)
)
(defconst el-file-mode (+ (* 64 6)(* 8 4) 4))
;; LCD Archive Entry:
;; mime|Masanobu UMEDA|umerin@mse.kyutech.ac.jp|
;; Simple MIME Composer|
-;; $Date: 1995/11/20 00:26:25 $|$Revision: 7.27 $|~/misc/mime.el.Z|
+;; $Date: 1995/11/25 02:14:25 $|$Revision: 7.28 $|~/misc/mime.el.Z|
;;; Code:
;;;
(defconst mime-editor/RCS-ID
- "$Id: tm-edit.el,v 7.27 1995/11/20 00:26:25 morioka Exp $")
+ "$Id: tm-edit.el,v 7.28 1995/11/25 02:14:25 morioka Exp $")
(defconst mime-editor/version (get-version-string mime-editor/RCS-ID))
(insert (format "\n--}-<<%s>>\n" type))
(goto-char (point-max))
)
- (if (not (looking-at mime-editor/single-part-tag-regexp))
+ (if (and (not (looking-at mime-editor/single-part-tag-regexp))
+ (not (eobp)))
(insert (mime-make-text-tag) "\n")
)
)))
;;;
(defconst tm-ew-e/RCS-ID
- "$Id: tm-ew-e.el,v 7.5 1995/10/24 00:18:39 morioka Exp $")
+ "$Id: tm-ew-e.el,v 7.6 1995/12/01 13:03:44 morioka Exp $")
(defconst mime/eword-encoder-version (get-version-string tm-ew-e/RCS-ID))
))
(setq ls (cdr ls))
)
- (if ls
+ (if (and ls (not (string= str "")))
(progn
(setq rwl (cons (cons (substring string p) (cdr rword))
(cdr rwl)))
))
(defun tm-eword::encode-rwl (column rwl &optional mode)
- (let (ret dest)
+ (let (ret dest ps special str)
(while rwl
(setq ret (tm-eword::encode-string-1 column rwl mode))
- (setq dest (concat dest (car ret))
- column (nth 1 ret)
+ (setq str (car ret))
+ (if (eq (elt str 0) ?\n)
+ (if (eq special ?\()
+ (progn
+ (setq dest (concat dest "\n ("))
+ (setq ret (tm-eword::encode-string-1 2 rwl mode))
+ (setq str (car ret))
+ ))
+ (cond ((eq special 32)
+ (if (string= str "(")
+ (setq ps t)
+ (setq dest (concat dest " "))
+ (setq ps nil)
+ ))
+ ((eq special ?\()
+ (if ps
+ (progn
+ (setq dest (concat dest " ("))
+ (setq ps nil)
+ )
+ (setq dest (concat dest "("))
+ )
+ )))
+ (cond ((string= str " ")
+ (setq special 32)
+ )
+ ((string= str "(")
+ (setq special ?\()
+ )
+ (t
+ (setq special nil)
+ (setq dest (concat dest str))
+ ))
+ (setq column (nth 1 ret)
rwl (nth 2 ret))
)
(list dest column)
;;;
;;; based on tm-latex.el by OKABE Yasuo <okabe@kudpc.kyoto-u.ac.jp>
;;;
-;;; $Id: tm-html.el,v 7.2 1995/11/17 13:11:36 morioka Exp $
+;;; $Id: tm-html.el,v 7.3 1995/12/04 00:20:31 morioka Exp $
;;;
(require 'tm-view)
(set-atype 'mime/content-decoding-condition
'((type . "text/html")
(method . mime-article/decode-html)
+ (mode . "extract")
))
;;;
-;;; $Id: tm-mail.el,v 1.1 1995/11/04 08:22:24 morioka Exp $
+;;; tm-mail.el --- mail-mode extension.
;;;
-
-(require 'tm-view)
-
-(autoload 'mime-editor/caesar-region "tm-edit" nil t)
-
-(defun mime-viewer/quitting-method-for-mime/show-message-mode ()
- (set-window-configuration mime/show-mode-old-window-configuration)
- (let ((mother mime::preview/mother-buffer))
- (kill-buffer
- (mime::preview-content-info/buffer (car mime::preview/content-list)))
- (mime-viewer/kill-buffer)
- (pop-to-buffer mother)
- ;;(goto-char (point-min))
- ;;(mime-viewer/up-content)
- ))
-
-(defun mime-article/view-message/rfc822 (beg end cal)
- (let* ((cnum (mime-article/point-content-number beg))
- (cur-buf (current-buffer))
- (new-name (format "%s-%s" (buffer-name) cnum))
- (mother mime::article/preview-buffer)
- str)
- (setq str (buffer-substring beg end))
- (switch-to-buffer new-name)
- (erase-buffer)
- (insert str)
- (goto-char (point-min))
- (if (re-search-forward "^\n" nil t)
- (delete-region (point-min) (match-end 0))
+;;; Copyright (C) 1995 KOBAYASHI Shuhei
+;;;
+;;; Author: KOBAYASHI Shuhei <shuhei@cmpt01.phys.tohoku.ac.jp>
+;;; modified by MORIOKA Tomohiko <morioka@jaist.ac.jp>
+;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
+;;; Created: 1995/11/27
+;;; Version: $Id: tm-mail.el,v 1.1 1995/12/03 13:40:45 morioka Exp $
+;;; Keywords: mail, MIME, multimedia
+;;;
+;;; This file is part of tm (Tools for MIME).
+;;;
+;;; This program is free software; you can redistribute it and/or
+;;; modify it under the terms of the GNU General Public License as
+;;; published by the Free Software Foundation; either version 2, or
+;;; (at your option) any later version.
+;;;
+;;; This program is distributed in the hope that it will be useful,
+;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+;;; General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with This program. If not, write to the Free Software
+;;; Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+
+(defun tm-mail/insert-message (&optional message)
+ (interactive)
+ (let* (mail-yank-hooks
+ (mail-citation-hook '(mime-editor/inserted-message-filter))
+ )
+ (cond
+ ((and (boundp 'vm-mail-buffer) vm-mail-buffer)
+ ;; called from VM.
+ (let ((mail-reply-buffer vm-mail-buffer))
+ (if (null message)
+ (call-interactively 'vm-yank-message)
+ (vm-yank-message message)))
)
- (setq major-mode 'mime/show-message-mode)
- (mime/viewer-mode mother)
- ))
-
-(defun mime-article/decode-caesar (beg end cal)
- (let* ((cnum (mime-article/point-content-number beg))
- (cur-buf (current-buffer))
- (new-name (format "%s-%s" (buffer-name) cnum))
- (mother mime::article/preview-buffer)
- (charset (cdr (assoc "charset" params)))
- (mode major-mode)
- str)
- (setq str (buffer-substring beg end))
- (switch-to-buffer new-name)
- (erase-buffer)
- (insert str)
- (goto-char (point-min))
- (if (re-search-forward "^\n" nil t)
- (delete-region (point-min) (match-end 0))
+ ((boundp 'rmail-send-actions-rmail-buffer)
+ ;; called from RMAIL, emacs-19.29 or later.
+ (mail-yank-original nil)
+ )
+ ((and (boundp 'gnus-article-buffer) (get-buffer gnus-article-buffer))
+ ;; maybe called from Gnus.
+ (tm-gnus/insert-article)
)
- (let ((m (assq mode mime-viewer/code-converter-alist)))
- (if (and m (fboundp (setq m (cdr m))))
- (funcall m (point-min) (point-max) charset encoding)
- (mime-viewer/default-code-convert-region (point-min) (point-max)
- charset encoding)
- ))
- (save-excursion
- (set-mark (point-min))
- (goto-char (point-max))
- (mime-editor/caesar-region)
+ ((and (boundp 'mail-reply-buffer) mail-reply-buffer)
+ ;; maybe called from RMAIL.
+ (mail-yank-original nil)
)
- (view-mode)
+ (t
+ (message "Sorry, I don't have message inserter for your MUA.")
+ ))
))
-(set-atype 'mime/content-decoding-condition
- '((type . "message/rfc822")
- (method . mime-article/view-message/rfc822)
- ))
-(set-atype 'mime/content-decoding-condition
- '((type . "text/x-rot13-47")
- (method . mime-article/decode-caesar)
- ))
+;;; @ end
+;;;
(provide 'tm-mail)
;;;
;;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Version:
-;;; $Id: tm-rmail.el,v 7.15 1995/11/12 15:15:15 morioka Exp $
+;;; $Id: tm-rmail.el,v 7.16 1995/12/03 13:46:59 morioka Exp $
;;; Keywords: mail, MIME, multimedia, multilingual, encoded-word
;;;
;;; This file is part of tm (Tools for MIME).
;; (setq gnus-mail-forward-method 'mime-forward-from-gnus-using-mail)
+(call-after-loaded
+ 'tm-edit
+ (function
+ (lambda ()
+ (autoload 'tm-mail/insert-message "tm-mail")
+ (set-alist 'mime-editor/message-inserter-alist
+ 'mail-mode (function tm-mail/insert-message))
+ )))
+
)))
;;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Created: 1994/7/13 (1994/8/31 obsolete tm-body.el)
-;;; Version: $Revision: 7.27 $
+;;; Version: $Revision: 7.28 $
;;; Keywords: mail, news, MIME, multimedia
;;;
;;; This file is part of tm (Tools for MIME).
;;;
(defconst mime-viewer/RCS-ID
- "$Id: tm-view.el,v 7.27 1995/11/23 10:21:05 morioka Exp $")
+ "$Id: tm-view.el,v 7.28 1995/12/04 00:24:19 morioka Exp $")
(defconst mime-viewer/version (get-version-string mime-viewer/RCS-ID))
(defconst mime/viewer-version mime-viewer/version)
(defvar mime/content-decoding-condition
'(((type . "text/plain")
(method "tm-plain" nil 'file 'type 'encoding 'mode 'name))
- ;;((type . "text/x-latex")
- ;; (method "tm-latex" nil 'file 'type 'encoding 'mode 'name))
+ ((type . "text/html")
+ (method "tm-html" nil 'file 'type 'encoding 'mode 'name)
+ (mode . "play"))
((type . "text/x-rot13-47")
(method . mime-article/decode-caesar))
;;; modified by SHIONO Jun'ichi <jun@case.nm.fujitsu.co.jp>
;;; Maintainer: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;;; Created: 1994/10/29
-;;; Version: $Revision: 7.20 $
+;;; Version: $Revision: 7.23 $
;;; Keywords: news, MIME, multimedia, multilingual, encoded-word
;;;
;;; This file is part of tm (Tools for MIME).
(require 'vm)
(defconst tm-vm/RCS-ID
- "$Id: tm-vm.el,v 7.20 1995/11/21 09:43:00 morioka Exp $")
+ "$Id: tm-vm.el,v 7.23 1995/12/03 14:09:18 morioka Exp $")
(defconst tm-vm/version (get-version-string tm-vm/RCS-ID))
(define-key vm-mode-map "Z" 'tm-vm/view-message)
(vm-display (current-buffer) t
'(vm-scroll-forward vm-scroll-backward)
(list this-command 'reading-message))
+ (select-window (get-buffer-window (current-buffer)))
(mime/viewer-mode)
(run-hooks 'tm-vm/vm-select-message-hook)
(select-window win)
))
(add-hook 'vm-select-message-hook 'tm-vm/preview-current-message)
-(add-hook 'vm-visit-folder-hook 'tm-vm/preview-current-message)
+
+(defun tm-vm/visit-folder-function ()
+ (tm-vm/preview-current-message)
+ (and vm-mail-buffer (set-buffer vm-mail-buffer))
+ )
+
+(add-hook 'vm-visit-folder-hook 'tm-vm/visit-folder-function)
;; fixed by Oscar Figueiredo <figueire@lspsun2.epfl.ch>
;; 1995/11/14 (cf.[tm-eng:162])
-(defun tm-vm/scroll-forward ()
- (interactive)
+(defun tm-vm/scroll-forward (&optional arg)
+ (interactive "P")
(if (not tm-vm/automatic-mime-preview)
;; fixed by SHIONO Jun'ichi <jun@case.nm.fujitsu.co.jp>
;; 1995/11/17 (cf.[tm-ja:1119])
(progn
(setq this-command 'vm-scroll-forward)
- (vm-scroll-forward))
+ (vm-scroll-forward arg))
(let* ((summary-buffer (or vm-summary-buffer
(and (eq major-mode 'vm-summary-mode)
(current-buffer))))
(switch-to-buffer mail-buffer)
(goto-char (point-max))
(select-window summary-win))
- (scroll-up)
+ (scroll-up)
(switch-to-buffer mail-buffer)
(select-window summary-win))))
;; fixed by SHIONO Jun'ichi <jun@case.nm.fujitsu.co.jp>
;; 1995/11/17 (cf.[tm-ja:1119])
(setq this-command 'vm-scroll-forward)
- (vm-scroll-forward)
+ (vm-scroll-forward arg)
(save-excursion
(set-buffer summary-buffer)
(setq mail-win (get-buffer-window vm-mail-buffer)))
(select-window summary-win)))
)))
-(defun tm-vm/scroll-backward ()
- (interactive)
+(defun tm-vm/scroll-backward (&optional arg)
+ (interactive "P")
(if (not tm-vm/automatic-mime-preview)
;; fixed by SHIONO Jun'ichi <jun@case.nm.fujitsu.co.jp>
;; 1995/11/17 (cf.[tm-ja:1119])
(progn
(setq this-command 'vm-scroll-backward)
- (vm-scroll-backward nil))
+ (vm-scroll-backward arg))
(let* ((summary-buffer (or vm-summary-buffer
(and (eq major-mode 'vm-summary-mode)
(current-buffer))))
;; fixed by SHIONO Jun'ichi <jun@case.nm.fujitsu.co.jp>
;; 1995/11/17 (cf.[tm-ja:1119])
(setq this-command 'vm-scroll-backward)
- (vm-scroll-backward nil)
+ (vm-scroll-backward arg)
(save-excursion
(set-buffer summary-buffer)
(setq mail-win (get-buffer-window vm-mail-buffer)))
;;; @ for tm-edit
;;;
-;; 1995/11/9 by Shuhei KOBAYASHI <shuhei@cmpt01.phys.tohoku.ac.jp>
-;; (cf. [tm ML:1075])
-(defun tm-vm/insert-message (&optional message)
- (interactive)
- (let* (mail-yank-hooks
- (mail-citation-hook '(mime-editor/inserted-message-filter))
- (mail-reply-buffer vm-mail-buffer)
- )
- (if (null message)
- (call-interactively 'vm-yank-message)
- (vm-yank-message message))
- ))
-
-
;;; @@ for multipart/digest
;;;
(while mlist
(setq m (vm-real-message-of (car mlist)))
(mime-editor/insert-tag "message" "rfc822")
- (tm-vm/insert-message m)
+ (tm-mail/insert-message m)
(goto-char (point-max))
(setq mlist (cdr mlist)))
(if digest
'tm-edit
(function
(lambda ()
+ (autoload 'tm-mail/insert-message "tm-mail")
(set-alist 'mime-editor/message-inserter-alist
- 'mail-mode (function tm-vm/insert-message))
+ 'mail-mode (function tm-mail/insert-message))
)))
(call-after-loaded